SystemOrganization addCategory: #'Tvs-Monitores-Tests'!

TestCase subclass: #TpTraitTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores-Tests'!

TpTraitTest subclass: #ComputadoraTest
	instanceVariableNames: 'c'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores-Tests'!

!ComputadoraTest commentStamp: '<historical>' prior: 0!
A ComputadoraTest is a test class for testing the behavior of Computadora!

!ComputadoraTest methodsFor: 'as yet unclassified' stamp: 'Aureh 4/19/2013 16:45'!
testConsumoComputadoraConMonitorCrtVgaDe22YPlacaConGpuSinCoolersYDiscoDe1000Rpm
	| pantalla disco placa |
	pantalla := PantallaAnalogica monitorCrtTamanio: 22.
	pantalla entrada: (VGA vgaDefinicionCable: 480).
	disco := DiscoRigido discoConRpm: 1000.
	placa := PlacaConGpuIntegrado PlacaConGpuConCantidadDeCoolers: 0 deResolucion: 1024*768.
	placa resolucionPantalla: 1024*768.
	c := Computadora computadoraConPantalla: pantalla unDisco:  disco unaPlaca: placa.
	self assert: (c consumoTotal closeTo:  116.528).
	! !

!ComputadoraTest methodsFor: 'as yet unclassified' stamp: 'Aureh 4/19/2013 17:02'!
testConsumoComputadoraConMonitorLcdHdmiDe26YPlacaEnMotherCon1CoolerYDiscoDe1100Rpm
	| pantalla disco placa |
	pantalla := PantallaDigital monitorLcdTamanio: 26 ppp: 200.
	pantalla entrada: (HDMI hdmiDefinicionCable: 1080 consumoPantalla:  pantalla consumo refresco: 240).
	disco := DiscoRigido discoConRpm: 1100.
	placa := PlacaIntegradaEnMother PlacaMotherboardConCantidadDeCoolers: 1 deResolucion: 1600*1200 deConsumo: 30.
	placa resolucionPantalla: 1920*1080.
	c := Computadora computadoraConPantalla: pantalla unDisco:  disco unaPlaca: placa.
	self assert: (c consumoTotal =  161.9).
	! !

!ComputadoraTest methodsFor: 'as yet unclassified' stamp: 'Aureh 4/19/2013 16:37'!
testConsumoComputadoraConMonitorLcdVgaDe22YPlacaConGpuSinCoolersYDiscoDe1000Rpm
	| pantalla disco placa |
	pantalla := PantallaDigital monitorLcdTamanio: 22 ppp: 100.
	pantalla entrada: (VGA vgaDefinicionCable: 480).
	disco := DiscoRigido discoConRpm: 1000.
	placa := PlacaConGpuIntegrado PlacaConGpuConCantidadDeCoolers: 0 deResolucion: 1024*768.
	placa resolucionPantalla: 1024*768.
	c := Computadora computadoraConPantalla: pantalla unDisco:  disco unaPlaca: placa.
	self assert: (c consumoTotal =  94.63556349186105).
	! !

!ComputadoraTest methodsFor: 'as yet unclassified' stamp: 'Aureh 4/19/2013 17:03'!
testConsumoComputadoraConMonitorLedHdmiDe26YPlacaSimpleCon1CoolerYDiscoDe1000Rpm
	| pantalla disco placa |
	pantalla := PantallaDigital monitorLcdTamanio: 26 ppp: 200.
	pantalla entrada: (HDMI hdmiDefinicionCable: 1080 consumoPantalla:  pantalla consumo refresco: 240).
	disco := DiscoRigido discoConRpm: 1000.
	placa := PlacaDeVideo PlacaSimpleConCantidadDeCoolers: 1 deResolucion: 1600*1200 deConsumo:  30.
	placa resolucionPantalla: 1920*1080.
	c := Computadora computadoraConPantalla: pantalla unDisco:  disco unaPlaca: placa.
	self assert: (c consumoTotal =  161.3).! !

TpTraitTest subclass: #PantallaTest
	instanceVariableNames: 'pantalla eVga eHdmi eRf eAudioVideo monitor'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores-Tests'!

!PantallaTest commentStamp: '<historical>' prior: 0!
PantallaTest contiene los test correspondientes a las pantallas, tanto tv como monitor. 
Esta clase contiene 2 subclases CRT y LCD que representa tecnologia analogica y digital respectivamente. Se obvio la clase LED porque su comportamiento es el mismo que LCD.!

PantallaTest subclass: #CRTTestCase
	instanceVariableNames: 'moni tv'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores-Tests'!

!CRTTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 09:48'!
setUp
moni:= PantallaAnalogica monitorCrtTamanio: 19.
tv:=PantallaAnalogica tvCrtTamanio: 21! !

!CRTTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 10:59'!
testConsumoTvConEntradaAudioVideo
|e|
e:=AudioVideo audioVideoConsumoPantalla: tv consumo.
tv entrada: e.
self assert: 115.5 equals: tv consumoTotal   ! !

!CRTTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 11:18'!
testConsumoTvConEntradaRf
|e|
e:= RF new.
tv entrada: e.
self assert: 105 equals: tv consumoTotal ! !

!CRTTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 11:06'!
testConsumoTvCrtSinEntrada
	self assert: 105 equals: tv consumoTotal ! !

!CRTTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 10:03'!
testDefinicionMaximaMonitorCrt
self assert: 480 equals: moni definicionMaxima ! !

!CRTTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 10:47'!
testEsAptoVideoJuegosMonitorCrtConEntradaRf
|e|
e:=RF new.
moni  entrada: e.
self assert: moni puedeJugarVideojuegos=false! !

!CRTTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 10:46'!
testEsAptoVideoJuegosMonitorCrtConEntradaVga
|e|
e:=VGA new.
moni  entrada: e.
self assert: moni puedeJugarVideojuegos=true! !

!CRTTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 10:43'!
testEsAptoVideoJuegostvCrtConEntradaVga
|e|
e:=VGA new.
tv entrada: e.
self assert: tv puedeJugarVideojuegos=false! !

!CRTTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 10:37'!
testMonitorcrtConectadoAAudioVideode480
|e|
e:=AudioVideo new. 
moni entrada: e.
self assert: moni sePuedeConectarEntrada=true
! !

!CRTTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 10:34'!
testMonitorcrtConectadoAHdmiDe720
|e|
e:=HDMI hdmiDefinicionCable: 720 consumoPantalla: nil refresco: nil.
moni entrada: e.
self assert: moni sePuedeConectarEntrada=false
! !

PantallaTest subclass: #LCDTestCase
	instanceVariableNames: 'moni tv'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores-Tests'!

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 16:08'!
setUp 
	moni:= PantallaDigital monitorLcdTamanio: 17 ppp: 100.
	tv:= PantallaDigital tvLcdTamanio: 19 ppp: 150
	! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 16:22'!
testConsumoMoniLcdConEntradaVgade17
|e|
e:=VGA vgaDefinicionCable: 720.
moni entrada: e.
self assert: 68.72 equals: moni consumoTotal ! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 16:36'!
testConsumoMoniLcdDe17ConEntradaHdmi
|e|
e:=HDMI hdmiDefinicionCable: 1080 consumoPantalla: moni consumo  refresco: 240.  
moni entrada: e.
self assert: 81.6 equals: moni consumoTotal ! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 09:50'!
testConsumoMonitorLcdSinEntrada! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 17:03'!
testDefinicionMaximaTvLcdDe19PppDe150

self assert:2015 equals: tv definicionMaxima asInteger ! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 17:30'!
testEsAptoVideoJuegosMoniLcdConEntradaAudioVideo
|e|
e:=AudioVideo new.
moni entrada: e.
self assert: moni puedeJugarVideojuegos=false 
! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 18:02'!
testEsAptoVideoJuegosMoniLcdConEntradaVga
|e|
e:=VGA new.
moni entrada: e.
self assert: moni puedeJugarVideojuegos  =true! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/18/2013 11:14'!
testTvLcdConectadoAEntradaRf
|e|
e:=RF new.
tv entrada: e.
self assert: tv sePuedeConectarEntrada=true! !

TpTraitTest subclass: #PlacaDeVideoTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores-Tests'!

!PlacaDeVideoTest commentStamp: '<historical>' prior: 0!
A PlacaDeVideoTest is xxxxxxxxx.

Instance Variables
!

!PlacaDeVideoTest methodsFor: 'as yet unclassified' stamp: 'Aure 4/12/2013 18:28'!
testPlacaDeVideoConGpuConUnCooler
	| p |
	p:= PlacaConGpuIntegrado PlacaConGpuConCantidadDeCoolers: 1 deResolucion: 1024*768.
	p resolucionPantalla: 800*600. "Esto tiene que venir de la pantalla, ahora esta harcodeado"
	self assert: 48.5 equals: p consumoTotal.! !
